<?php
include_once(__DIR__."/core.php");
include($docroot."/lib/user_check.php");

$id_module = filter("id_module");
$id_record = filter("id_record");

$posizione = $id_module;
if(isset($id_record)) $posizione .= ", ".$id_record;

$dbo->query("UPDATE zz_sessioni_attive SET data=NOW() WHERE id_utente=".$_SESSION["idutente"]." AND posizione='".$posizione."'");
$dbo->query("DELETE FROM zz_sessioni_attive WHERE DATE_ADD(data, INTERVAL ".(get_var("Timeout sessioni attive")*2)." SECOND) <= NOW()");
$datas = $dbo->fetchArray("SELECT DISTINCT * FROM zz_sessioni_attive INNER JOIN zz_utenti ON zz_sessioni_attive.id_utente=zz_utenti.idutente WHERE id_utente!=".$_SESSION["idutente"]." AND posizione='".$posizione."'");

$result = array();
if($datas != null){
    foreach ($datas as $data) {
        array_push($result, array("username" => $data["username"]));
    }
}

echo json_encode($result);
?>